// @ts-ignore

/* eslint-disable */
import { defaultActionRender } from '@ant-design/pro-utils/lib/useEditableArray';
import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';

export default {
  /** 获取会员标签信息  sdsa GET /kitchen/api/rule */
  memberTagList(data) {
    return request(getStoremanagement()+`/api/MemberTagService/MemberTagQueryDto`, {
      method: 'POST',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /** 新建会员标签信息 POST /kitchen/api/rule */
  addMemberTag(data) {
    // http://localhost:7002
    return request(getStoremanagement()+`/api/MemberTagService/AddMemberTag`, {
      method: 'POST',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },

  /** 修改会员标签信息 POST /kitchen/api/rule */
  updateMemberTag(data) {
    // http://localhost:7002
    return request(getStoremanagement()+`/api/MemberTagService/UpdateMemberTag`, {
      method: 'post',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },

  /** 删除会员标签信息 POST /kitchen/api/rule */
  removeMemberTag(data) {
    return request(getStoremanagement()+`/api/MemberTagService/DelMemberTag?Id=` + data, {
      method: 'DELETE',
      // ...(options || {}),
    });
  },

};
